Bug 60912 - [MAINTAINER-UPDATE] Update lang/fpc to 1.0.10
Summary: [MAINTAINER-UPDATE] Update lang/fpc to 1.0.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-05 01:50 UTC by John Merryweather Cooper
Modified: 2004-07-05 18:10 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2004-01-05 01:50:12 UTC
	*	Update lang/fpc to 1.0.10
	*	This is a compiling port for the first time
	*	This port has gone on a diet
	*	More related ports to follow

Fix: 

--------------090308040701070807010501----yxTootuh58T8NHx3nq3fLxUUy42ugXrDMZa1nHe1g9kjmNnU
Content-Type: text/plain; name="update-fpc-1.0.10"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="update-fpc-1.0.10"

# This is a patch for fpc to update it to fpc-1.0.10
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# If you have a decent Bourne-type shell:
# STEP 2: Run the shell with this file as input.
# If you don't have such a shell, you may need to manually create
# the files/directories as shown below.
# STEP 3: Run the 'patch' program with this file as input.
#
# These are the commands needed to create/delete files/directories:
#
mkdir 'files'
chmod 0755 'files'
touch 'files/patch-share::src::fpc-1.0.10::compiler::utils::samplecfg'
chmod 0644 'files/patch-share::src::fpc-1.0.10::compiler::utils::samplecfg'
#
# This command terminates the shell and need not be executed manually.
exit
#
#### End of Preamble ####

#### Patch data follows ####
diff -u 'fpc/Makefile' 'fpc-1.0.10/Makefile'
Index: ./Makefile
--- ./Makefile	Sun Nov 30 02:38:51 2003
+++ ./Makefile	Sun Jan  4 15:13:17 2004
@@ -1,23 +1,24 @@
 # New ports collection makefile for:	Free Pascal Compiler
-# Date created:				28 November 2001
-# Whom:					John Merryweather Cooper et al
+# Date created: 			28 November 2001
+# Whom: 				John Merryweather Cooper et al
 #
 # $FreeBSD: ports/lang/fpc/Makefile,v 1.9 2003/07/12 21:03:30 obraun Exp $
 #
 
 PORTNAME=	fpc
-PORTVERSION=	1.0.6
+PORTVERSION=	1.0.10
 CATEGORIES=	lang
-MASTER_SITES=	ftp://ftp.freepascal.org/pub/fpc/dist/freebsd-${PORTVERSION}/ \
-		ftp://ftp.epix.net/pub/languages/pascal/dist/freebsd-${PORTVERSION}/ \
-		http://gd.tuwien.ac.at/languages/pascal/dist/freebsd-${PORTVERSION}/ \
-		http://www.zeus.rug.ac.be/freepascal/files/dist/freebsd-${PORTVERSION}/ \
-		ftp://ftp.darklands.cx/pub/fpc/dist/freebsd-${PORTVERSION}/ \
-		ftp://ftp.jp.freepascal.org/mirror/fpc/dist/freebsd-${PORTVERSION}/ \
-		ftp://deadlock.et.tudelft.nl/pub/fpc/dist/freebsd-${PORTVERSION}/ \
-		ftp://ftp.no.freepascal.org/pub/fpc/dist/freebsd-${PORTVERSION}/
-DISTNAME=	${PORTNAME}-${PORTVERSION}.ELF.FreeBSD
 
+MASTER_SITES=	ftp://ftp.freepascal.org/pub/fpc/dist/FreeBSD/ \
+		http://planetmirror.com/pub/fpc/dist/FreeBSD/ \
+		ftp://ftp.jp.freepascal.org/mirror/fpc/dist/FreeBSD/ \
+		ftp://freepascal.stack.nl/pub/fpc/dist/FreeBSD/ \
+		ftp://ftp.no.freepascal.org/pub/fpc/dist/FreeBSD/ \
+		ftp://ftp.us.freepascal.org/pub/fpc/dist/FreeBSD/ \
+		${MASTER_SITE_SOURCEFORGE}
+MASTER_SITE_SUBDIR=	freepascal
+
+DISTNAME=	${PORTNAME}-${PORTVERSION}.ELF
 EXTRACT_SUFX=	.tar
 
 MAINTAINER=	coop9211@uidaho.edu
@@ -25,164 +26,144 @@
 
 .include <bsd.port.pre.mk>
 
+LIB_DEPENDS=	gds.1:${PORTSDIR}/databases/firebird
 .if ${OSVERSION} >= 500000
-LIB_DEPENDS+=	c_r.4:${PORTSDIR}/misc/compat4x
+LIB_DEPENDS+=   c.4:${PORTSDIR}/misc/compat4x
 .endif
-
 .if ${OSVERSION} < 470000
-EXTRACT_DEPENDS=	${LOCALBASE}/bin/gtar:${PORTSDIR}/archivers/gtar
-TAR=		${LOCALBASE}/bin/gtar
+EXTRACT_DEPENDS=	gtar:${PORTSDIR}/archivers/gtar
+TAR=			${LOCALBASE}/bin/gtar
 .endif
-
-RUN_DEPENDS=	${LOCALBASE}/bin/nasm:${PORTSDIR}/devel/nasm
-
+USE_MYSQL=	yes
+USE_GMAKE=	yes
+USE_REINPLACE=	yes
 ONLY_FOR_ARCHS=	i386
-NO_WRKSUBDIR=	yes
-NO_BUILD=	yes
-USE_PERL5=	yes
 PKGDEINSTALL=	${PKGINSTALL}
 
 PLIST_SUB+=	PORTVERSION=${PORTVERSION}
 
-MAN1=		delp.1 fpc.1 fpcmake.1 h2pas.1 plex.1 ppc386.1 ppdep.1 \
-		ppudump.1 ppufiles.1 ppumove.1 ptop.1 pyacc.1 rstconv.1
-MAN5=		fpc.cfg.5 fpcmake.5 ptop.cfg.5
-
-# programs
-SORT?=		/usr/bin/sort
-# macro for creating directory with DATA perms
-INSTALL_DATA_DIR=	${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} -m 0755
-
-
-LIBDIR=		${PREFIX}/lib/fpc/${PORTVERSION}
-TEMP_PREFIX=	${WRKSRC}/temp
-
-# install staging area
-post-extract:
-	@${TAR} xf ${WRKSRC}/binary.tar --directory ${WRKSRC}
-	@${TAR} xf ${WRKSRC}/sources.tar --directory ${WRKSRC}
-	@${MKDIR} ${TEMP_PREFIX}
-#unpack base system
-	@${TAR} zxf ${WRKSRC}/basefreebsd.tar.gz \
-		--directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/utilfreebsd.tar.gz \
-		--directory ${TEMP_PREFIX}
-#unpack units
-	@${TAR} zxf ${WRKSRC}/unitsfclfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsbfdfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitscmemfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsformsfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsfpasyncfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsgdbintfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsgdbmfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsggifreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsgtkfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsibasefreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsinetfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitslibasyncfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitslibgdfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitslibpngfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsmysqlfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsncursesfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsopenglfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsoraclefreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitspaszlibfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitspostgresfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsregexprfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitssvgalibfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitssyslogfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsuncgifreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsunzipfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsutmpfreebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsx11freebsd.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitszlibfreebsd.tar.gz --directory ${TEMP_PREFIX}
-#unpack ide
-	@${TAR} zxf ${WRKSRC}/idefreebsd.tar.gz --directory ${TEMP_PREFIX}
-.ifndef(NOPORTDOCS)
-#unpack documentation, examples, and sources
-	@${TAR} zxf ${WRKSRC}/basesrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/compilersrc.tar.gz \
-		--directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/rtlsrc.tar.gz \
-		--directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/fclsrc.tar.gz \
-		--directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/idesrc.tar.gz \
-		--directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/installersrc.tar.gz \
-		--directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsbfdsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitscmemsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsformssrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsfpasyncsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsgdbintsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsgdbmsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsggisrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsgtksrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsibasesrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsinetsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitslibasyncsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitslibgdsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitslibpngsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsmysqlsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsncursessrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsopenglsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsoraclesrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitspaszlibsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitspostgressrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsregexprsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitssvgalibsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitssyslogsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsuncgisrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsunzipsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsutmpsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitsx11src.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/unitszlibsrc.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/docs.tar.gz --directory ${TEMP_PREFIX}
-	@${TAR} zxf ${WRKSRC}/demo.tar.gz --directory ${TEMP_PREFIX}
+MAN1=	delp.1 fpc.1 fpcmake.1 fpdoc.1 h2pas.1 plex.1 ppc386.1 ppdep.1 \
+	ppudump.1 ppufiles.1 ppumove.1 ptop.1 pyacc.1 rstconv.1
+MAN5=	fpc.cfg.5 fpcmake.5 ptop.cfg.5
+
+# FreePascal is not self-bootstrapping.  Hence, the need for a working
+# pppc386.  Check for ppc386 in a manner similar to lang/gnat.
+#
+# Look in PREFIX
+.ifdef PREFIX
+have_boot!=	if [ -x ${PREFIX}/bin/ppc386 ]; then \
+			${ECHO_CMD} "${PREFIX}/bin"; \
+		else \
+			${ECHO_CMD} ""; \
+		fi
+.else
+have_boot=
 .endif
 
-do-install: install-parse-plist install-run-scripts run-pkg-install-script
+# Then look in LOCALBASE
+.if empty(have_boot)
+have_boot!=	if [ -x ${LOCALBASE}/bin/ppc386 ]; then \
+			${ECHO_CMD} "${LOCALBASE}/bin"; \
+		else \
+			${ECHO_CMD} ""; \
+		fi
+.endif
 
-# Contributed by <lioux@FreeBSD.org>
-install-parse-plist: generate-plist
-	@${PERL} -e 'open(FHANDLER,"${TMPPLIST}");' \
-		-e 'open(FDIR,">${WRKDIR}/dirs.sh.tmp");' \
-		-e 'open(FFILES,">${WRKDIR}/files.sh");' \
-		-e 'while (!eof(FHANDLER)) {' \
-			-e 'chop($$file = <FHANDLER>);' \
-			-e '$$dir = $$file_partial = $$file;' \
-			-e '$$file_partial =~ s!^${HLDSDIR:S!^/!!}!!;' \
-			-e 'if ($$dir =~ s!(^\@dirrm\s+)!!) {' \
-				-e 'print FDIR "${INSTALL_DATA_DIR}", \
-					" ", "\"${PREFIX}/$$dir\"", \
-					"\n";' \
-			-e '} elsif ($$file !~ m!^\@!) {' \
-				-e 'if ($$dir =~ m!^bin!) {' \
-					-e 'print FFILES "${INSTALL_PROGRAM}";' \
-				-e '} elsif ($$dir =~ m!^(lib|share)!) {' \
-					-e 'print FFILES "${INSTALL_DATA}";' \
-				-e '} elsif ($$dir =~ m!^man!) {' \
-					-e 'print FFILES "${INSTALL_MAN}";' \
-					-e '($$file_partial =~ s!${MANEXT}$$!!);' \
-					-e '($$file =~ s!${MANEXT}$$!!);' \
-				-e '}' \
-				-e 'print FFILES " ", "\"${TEMP_PREFIX}/$$file_partial\"", \
-					" ", "\"${PREFIX}/$$file\"", \
-					"\n";' \
-			-e '}' \
-		-e '}' \
-		-e 'close(FFILES);' \
-		-e 'close(FDIR);' \
-		-e 'close(FHANDLER);'
-	@${SORT} ${WRKDIR}/dirs.sh.tmp > ${WRKDIR}/dirs.sh
-
-install-run-scripts:
-.for script in dirs files
-	@${SH} ${WRKDIR}/${script}.sh
-.endfor
+.if empty(have_boot)
+have_boot=	${WRKSRC}/boot
+.endif
+
+MAKE_ENV+=	PATH=${have_boot}/bin:$$PATH \
+		FPC=${have_boot}/bin/ppc386 \
+		INSTALL_BASEDIR=${PREFIX}/lib/fpc/${PORTVERSION} \
+		INSTALL_BINDIR=${PREFIX}/bin \
+		GCCLIBDIR=/usr/lib \
+		RELEASE=1
+
+do-extract:
+# unpack distribution
+	@${MKDIR} ${WRKSRC}
+	@${TAR} xf ${DISTDIR}/${DISTNAME}.tar --directory ${WRKSRC}
+# unpack pre-compiled binaries distribution
+	@${MKDIR} ${WRKSRC}/binary
+	@${TAR} xf ${WRKSRC}/binary.tar --directory ${WRKSRC}/binary
+# unpack sources distribution
+	@${MKDIR} ${WRKSRC}/sources
+	@${TAR} xf ${WRKSRC}/sources.tar --directory ${WRKSRC}/sources
+# create a local binary ppc386
+	@${MKDIR} ${WRKSRC}/boot
+	@${TAR} zxf ${WRKSRC}/binary/basefreebsd.tar.gz \
+		--directory ${WRKSRC}/boot
+	@${TAR} zxf ${WRKSRC}/binary/utilfreebsd.tar.gz \
+		--directory ${WRKSRC}/boot
+	@${LN} -sf ${WRKSRC}/boot/lib/fpc/${PORTVERSION}/ppc386 \
+		${WRKSRC}/boot/bin/ppc386
+# further extract base sources
+#
+# mandatory sources
+	@${TAR} zxf ${WRKSRC}/sources/basesrc.tar.gz \
+		--directory ${WRKSRC}
+	@${TAR} zxf ${WRKSRC}/sources/compilersrc.tar.gz \
+		--directory ${WRKSRC}
+	@${TAR} zxf ${WRKSRC}/sources/rtlsrc.tar.gz \
+		--directory ${WRKSRC}
+# dependencies of FCL
+	@${TAR} zxf ${WRKSRC}/sources/unitspaszlibsrc.tar.gz \
+		--directory ${WRKSRC}
+	@${TAR} zxf ${WRKSRC}/sources/unitsnetdbsrc.tar.gz \
+		--directory ${WRKSRC}
+	@${TAR} zxf ${WRKSRC}/sources/unitslibasyncsrc.tar.gz \
+		--directory ${WRKSRC}
+	@${TAR} zxf ${WRKSRC}/sources/unitsmysqlsrc.tar.gz \
+		--directory ${WRKSRC}
+	@${TAR} zxf ${WRKSRC}/sources/unitsibasesrc.tar.gz \
+		--directory ${WRKSRC}
+# FCL is required for some of the compiler utilities
+	@${TAR} zxf ${WRKSRC}/sources/fclsrc.tar.gz \
+		--directory ${WRKSRC}
+# compiler utilities
+	@${TAR} zxf ${WRKSRC}/sources/utilssrc.tar.gz \
+		--directory ${WRKSRC}
+
+post-patch:
+# change to alter amount of optimization
+	@${FIND} ${WRKSRC}/share/src/fpc-${PORTVERSION} -name \
+		"Makefile*" | ${XARGS} ${REINPLACE_CMD} 's|-OG2p3|-OG2p1|g'
+
+do-build:
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/rtl && \
+		${GMAKE} ${MAKE_ENV} all
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/compiler && \
+		${GMAKE} ${MAKE_ENV} all
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/packages/base/libasync && \
+		${GMAKE} ${MAKE_ENV} all
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/fcl && \
+		${GMAKE} ${MAKE_ENV} all
+# kludge so that bin2obj finds ZSTREAM and builds
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION} && \
+		${CP} fcl/inc/zstream.pp utils
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/utils && \
+		${GMAKE} ${MAKE_ENV} all
+
+do-install:
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/rtl && \
+		${GMAKE} ${MAKE_ENV} install
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/compiler && \
+		${GMAKE} ${MAKE_ENV} install
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/packages/base/libasync && \
+		${GMAKE} ${MAKE_ENV} install
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/fcl && \
+		${GMAKE} ${MAKE_ENV} install
+	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/utils && \
+		${GMAKE} ${MAKE_ENV} install
+	@${MKDIR} ${PREFIX}/man/man1
+	cd ${WRKSRC}/boot/man/man1 && ${INSTALL_MAN} ${MAN1} \
+		${PREFIX}/man/man1
+	@${MKDIR} ${PREFIX}/man/man5
+	cd ${WRKSRC}/boot/man/man5 && ${INSTALL_MAN} ${MAN5} \
+		${PREFIX}/man/man5
 
-run-pkg-install-script:
+post-install:
 	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} \
 		${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
diff -u 'fpc/distinfo' 'fpc-1.0.10/distinfo'
Index: ./distinfo
--- ./distinfo	Sun Nov 30 02:38:51 2003
+++ ./distinfo	Sat Dec 20 17:26:37 2003
@@ -1 +1 @@
-MD5 (fpc-1.0.6.ELF.FreeBSD.tar) = fcac3c2631aef1788ade2fa50f0694e8
+MD5 (fpc-1.0.10.ELF.tar) = 6ad56eb115152174683499da3ece7667
diff -u /dev/null 'fpc-1.0.10/files/patch-share::src::fpc-1.0.10::compiler::utils::samplecfg'
Index: ./files/patch-share::src::fpc-1.0.10::compiler::utils::samplecfg
--- ./files/patch-share::src::fpc-1.0.10::compiler::utils::samplecfg	Wed Dec 31 16:00:00 1969
+++ ./files/patch-share::src::fpc-1.0.10::compiler::utils::samplecfg	Sun Jan  4 04:20:25 2004
@@ -0,0 +1,11 @@
+--- share/src/fpc-1.0.10/compiler/utils/samplecfg.old	Sun Jan  4 04:15:50 2004
++++ share/src/fpc-1.0.10/compiler/utils/samplecfg	Sun Jan  4 04:17:59 2004
+@@ -38,7 +38,7 @@
+ fi
+ 
+ # Find path to libgcc.a
+-GCCSPEC=`(gcc -v 2>&1)| head -n 1| awk '{ print $4 } '`
++GCCSPEC=`gcc -print-file-name=libgcc.a`
+ GCCDIR=`dirname $GCCSPEC`
+ echo Found libgcc.a in $GCCDIR
+ 
diff -u 'fpc/pkg-install' 'fpc-1.0.10/pkg-install'
Index: ./pkg-install
--- ./pkg-install	Sun Nov 30 02:38:51 2003
+++ ./pkg-install	Sun Jan  4 05:13:53 2004
@@ -5,7 +5,7 @@
 PKGNAME=$1
 ACTION=$2
 
-FILES_DELETE="bin/fpc etc/fpc.cfg etc/fpc.cfg.orig"
+FILES_DELETE="bin/ppc386 etc/fpc.cfg etc/fpc.cfg.orig"
 
 LIBDIR=${PKG_PREFIX}/lib/fpc/${PKGNAME##fpc-}
 
@@ -19,7 +19,7 @@
 POST-INSTALL)
 		${CHMOD} 0555 ${LIBDIR}/ppc386
 		${CHMOD} 0555 ${LIBDIR}/samplecfg
-		${LN} -sf ${LIBDIR}/ppc386 ${PKG_PREFIX}/bin/fpc
+		${LN} -sf ${LIBDIR}/ppc386 ${PKG_PREFIX}/bin/ppc386
 		${SH} ${LIBDIR}/samplecfg ${LIBDIR} ${PKG_PREFIX}/etc
 	;;
 
diff -u 'fpc/pkg-plist' 'fpc-1.0.10/pkg-plist'
Index: ./pkg-plist
--- ./pkg-plist	Sun Nov 30 02:38:53 2003
+++ ./pkg-plist	Sun Jan  4 14:04:18 2004
@@ -1,12 +1,14 @@
 bin/bin2obj
 bin/data2inc
 bin/delp
-bin/fd2pascal
-bin/fp
+bin/fpc
 bin/fpcmake
+bin/fpdoc
 bin/fprcp
 bin/h2pas
 bin/h2paspp
+bin/makeskel
+bin/mkxmlrpc
 bin/plex
 bin/postw32
 bin/ppdep
@@ -16,41 +18,30 @@
 bin/ptop
 bin/pyacc
 bin/rstconv
-lib/fpc/%%PORTVERSION%%/ide/cvsco.tdf
-lib/fpc/%%PORTVERSION%%/ide/cvsup.tdf
-lib/fpc/%%PORTVERSION%%/ide/fp.ans
-lib/fpc/%%PORTVERSION%%/ide/gplprog.pt
-lib/fpc/%%PORTVERSION%%/ide/gplunit.pt
-lib/fpc/%%PORTVERSION%%/ide/grep.tdf
-lib/fpc/%%PORTVERSION%%/ide/program.pt
-lib/fpc/%%PORTVERSION%%/ide/tpgrep.tdf
-lib/fpc/%%PORTVERSION%%/ide/unit.pt
 lib/fpc/%%PORTVERSION%%/msg/errord.msg
 lib/fpc/%%PORTVERSION%%/msg/errore.msg
 lib/fpc/%%PORTVERSION%%/msg/errores.msg
 lib/fpc/%%PORTVERSION%%/msg/errorf.msg
 lib/fpc/%%PORTVERSION%%/msg/errorn.msg
+lib/fpc/%%PORTVERSION%%/msg/errorpl.msg
+lib/fpc/%%PORTVERSION%%/msg/errorpli.msg
 lib/fpc/%%PORTVERSION%%/msg/errorr.msg
 lib/fpc/%%PORTVERSION%%/msg/errorrw.msg
 lib/fpc/%%PORTVERSION%%/ppc386
 lib/fpc/%%PORTVERSION%%/samplecfg
-lib/fpc/%%PORTVERSION%%/units/freebsd/bfd/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/bfd/bfd.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/bfd/bfd.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/bfd/libpbfd.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/cmem/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/cmem/cmem.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/cmem/cmem.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/cmem/libpcmem.a
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/asyncio.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/asyncio.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/base64.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/base64.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/cachecls.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/cachecls.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/cgiapp.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/cgiapp.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/classes.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/classes.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/contnrs.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/contnrs.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/custapp.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/custapp.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/db.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/db.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/dbf.o
@@ -62,16 +53,24 @@
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/doc_text.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/dom.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/dom.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/dom_html.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/dom_html.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/eventlog.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/eventlog.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/ezcgi.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/ezcgi.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/fpasync.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/fpasync.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/gettext.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/gettext.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/htmldoc.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/htmldoc.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/htmldefs.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/htmldefs.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/htmwrite.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/htmwrite.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/http.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/http.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/httpsvlt.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/httpsvlt.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/idea.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/idea.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/inifiles.o
@@ -80,49 +79,32 @@
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/interbase.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/iostream.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/iostream.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpasyncio.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpbase64.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpcachecls.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpclasses.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpdb.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpdbf.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpddg_ds.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpdoc_text.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpdom.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpezcgi.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpgettext.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libphtmldoc.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libphtmwrite.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libphttp.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpidea.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpinifiles.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpinterbase.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpiostream.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpmysqldb.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libppipes.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpprocess.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpregistry.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libprtfpars.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpsh_pas.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpsh_xml.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpshedit.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpssockets.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpxhtml.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpxmlcfg.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpxmlread.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpxmlstreaming.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpxmlwrite.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/libpzstream.a
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/mysqldb.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/mysqldb.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pastree.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pastree.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/paswrite.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/paswrite.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pipes.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pipes.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pparser.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pparser.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/process.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/process.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pscanner.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/pscanner.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/registry.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/registry.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/resolve.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/resolve.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/rtfpars.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/rtfpars.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/sax.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/sax.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/sax_html.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/sax_html.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/servlets.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/servlets.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/sh_pas.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/sh_pas.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/sh_xml.o
@@ -137,169 +119,23 @@
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlcfg.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlread.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlread.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlreg.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlreg.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlrpc.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlrpc.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlstreaming.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlstreaming.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlwrite.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xmlwrite.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xpath.o
+lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/xpath.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/zstream.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/fcl/zstream.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/forms/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/forms/forms.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/forms/forms.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/forms/libpforms.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/fpasync/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/fpasync/fpasync.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/fpasync/fpasync.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/fpasync/libpfpasync.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbint/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbint/gdbcon.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbint/gdbcon.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbint/gdbint.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbint/gdbint.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbint/libpgdbcon.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbm/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbm/gdbm.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbm/gdbm.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gdbm/libpgdbm.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/ggi/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/ggi/ggi.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/ggi/ggi.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ggi/ggi2d.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ggi/gii.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ggi/libpggi.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/gdk.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/gdk.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/glib.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/glib.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/gmodule.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/gtk.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/gtk.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/gtkglarea.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/gtkglarea.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/libpgdk.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/libpglib.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/libpgtk.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/gtk/libpgtkglarea.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/ibase/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/ibase/ibase40.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/ibase/ibase40.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ibase/ibase60.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/ibase/ibase60.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ibase/libpibase40.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/ibase/libpibase60.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/inet/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/inet/inet.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/inet/inet.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/inet/libpinet.a
 lib/fpc/%%PORTVERSION%%/units/freebsd/lexlib.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/lexlib.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/libasync/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/freebsd/libasync/libasync.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/libasync/libasync.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/libasync/libplibasync.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/libgd/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/libgd/gd.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/libgd/gd.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/libgd/libpgd.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/libpng/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/libpng/png.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/libpmysql.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/libpmysql_com.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/libpmysql_version.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/mysql.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/mysql.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/mysql_com.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/mysql_com.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/mysql_version.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/mysql/mysql_version.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/libpmenu.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/libpncrt.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/libpncurses.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/libpocrt.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/menu.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/menu.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/ncrt.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/ncrt.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/ncurses.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/ncurses.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/ocrt.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/ocrt.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/ncurses/panel.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/gl.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/gl.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/glut.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/glut.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/glx.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/glx.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/libpgl.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/libpglut.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/opengl/libpglx.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/oracle/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/oracle/oraoci.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/adler.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/adler.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/gzcrc.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/gzcrc.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/gzio.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/gzio.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/infblock.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/infblock.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/infcodes.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/infcodes.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/inffast.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/inffast.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/inftrees.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/inftrees.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/infutil.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/infutil.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpadler.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpgzcrc.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpgzio.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpinfblock.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpinfcodes.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpinffast.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpinftrees.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpinfutil.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libppaszlib.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libptrees.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpzbase.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpzcompres.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpzdeflate.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpzinflate.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpzuncompr.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/libpzutil.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/paszlib.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/paszlib.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/trees.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/trees.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zbase.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zbase.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zcompres.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zcompres.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zdeflate.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zdeflate.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zinflate.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zinflate.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zuncompr.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zuncompr.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zutil.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/paszlib/zutil.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/postgres/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/postgres/dllist.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/postgres/dllist.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/postgres/libpdllist.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/postgres/libppostgres.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/postgres/postgres.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/postgres/postgres.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/regexpr/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/regexpr/libpregexpr.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/regexpr/regexpr.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/regexpr/regexpr.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/console.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/console.ppu
@@ -316,6 +152,7 @@
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/getopts.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/gpm.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/gpm.ppu
+lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/gprt0.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/heaptrc.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/heaptrc.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/initc.ppu
@@ -323,32 +160,6 @@
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/ipc.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/keyboard.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/keyboard.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpconsole.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpcpu.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpcrt.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpdos.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libperrors.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpgetopts.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpgpm.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpheaptrc.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpipc.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpkeyboard.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libplineinfo.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libplinux.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpmath.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpmmx.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpmouse.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpobjects.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpobjpas.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpprinter.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpserial.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpsockets.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpstrings.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpsysbsd.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpsysutils.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpterminfo.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libptypinfo.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/libpvideo.a
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/lineinfo.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/lineinfo.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/linux.o
@@ -382,2268 +193,16 @@
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/typinfo.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/video.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/rtl/video.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/svgalib/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/svgalib/libpsvgalib.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/svgalib/svgalib.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/svgalib/svgalib.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/svgalib/vgamouse.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/syslog/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/syslog/libpsystemlog.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/syslog/systemlog.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/syslog/systemlog.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/uncgi/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/uncgi/libpuncgi.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/uncgi/uncgi.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/uncgi/uncgi.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/unzip/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/unzip/libpunzip.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/unzip/libpziptypes.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/unzip/unzip.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/unzip/unzip.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/unzip/ziptypes.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/unzip/ziptypes.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/utmp/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/utmp/libputmp.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/utmp/utmp.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/utmp/utmp.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/libpx.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/libpxcms.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/libpxresource.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/x.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/x.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xcms.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xcms.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xlib.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xrender.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xresource.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xresource.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xshm.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/x11/xutil.ppu
 lib/fpc/%%PORTVERSION%%/units/freebsd/yacclib.o
 lib/fpc/%%PORTVERSION%%/units/freebsd/yacclib.ppu
-lib/fpc/%%PORTVERSION%%/units/freebsd/zlib/Package.fpc
-lib/fpc/%%PORTVERSION%%/units/freebsd/zlib/libpzlib.a
-lib/fpc/%%PORTVERSION%%/units/freebsd/zlib/zlib.o
-lib/fpc/%%PORTVERSION%%/units/freebsd/zlib/zlib.ppu
 lib/fpc/lexyacc/yylex.cod
 lib/fpc/lexyacc/yyparse.cod
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/ch_beg_r.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/ch_begin.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/ch_del_r.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/ch_delet.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/ch_end.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/ch_end_r.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/contents.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/crossref.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/footnote.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/image.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/index.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/next.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/next_g.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/nx_grp.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/nx_grp_g.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/prev.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/prev_g.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/pv_grp.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/pv_grp_g.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/up.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/buttons/up_g.png
-share/doc/fpc-%%PORTVERSION%%/fpc/copying
-share/doc/fpc-%%PORTVERSION%%/fpc/copying.dj
-share/doc/fpc-%%PORTVERSION%%/fpc/copying.fpc
-share/doc/fpc-%%PORTVERSION%%/fpc/faq.htm
-share/doc/fpc-%%PORTVERSION%%/fpc/faq.txt
-share/doc/fpc-%%PORTVERSION%%/fpc/readme.txt
-share/doc/fpc-%%PORTVERSION%%/fpc/whatsnew.txt
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/fpctoc.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ide/readme.ide
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/double.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ascii.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ascii.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/brklist.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/brklist.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/brkprop.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/brkprop.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/calc.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/calc.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/callstck.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/callstck.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/codecomp.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/codecomp.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/codetemp.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/codetemp.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/fileopen.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/fileopen.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/filesave.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/filesave.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/gdbwin.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/gdbwin.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/gotoline.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/gotoline.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/helpfils.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/helpfils.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/messages.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/messages.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/obrowser.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/obrowser.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompa.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompa.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompb.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompb.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompc.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompc.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompd.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompd.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompe.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/ocompe.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/odebug.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/odebug.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/odirs.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/odirs.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oecolors.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oecolors.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oedesk.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oedesk.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oeeditor.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oeeditor.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oemouse.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oemouse.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oeprefs.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oeprefs.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/olinker.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/olinker.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/omemsize.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/omemsize.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oswitch.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/oswitch.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/otools.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/otools.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/params.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/params.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/proginfo.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/proginfo.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/replace.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/replace.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/search.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/search.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/seldir.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/seldir.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/target.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/target.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/template.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/template.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/tool.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/tool.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/watch.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/watch.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/watchlst.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ide/watchlst.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/idedlg.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/idedlg.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/idestart.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/idestart.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/idewin.ans
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/idewin.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/install.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/install1.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/install2.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/ppu.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/pics/single.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog.pdf
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/footnode.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/index.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node1.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node10.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node11.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node12.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node13.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node14.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node15.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node16.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node17.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node18.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node19.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node2.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node20.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node21.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node22.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node3.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node4.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node5.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node6.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node7.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node8.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/node9.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/prog.css
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/prog/prog.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref.pdf
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img1.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img10.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img100.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img101.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img102.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img103.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img104.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img105.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img106.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img107.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img108.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img109.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img11.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img110.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img111.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img112.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img113.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img114.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img115.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img116.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img117.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img118.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img119.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img12.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img120.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img121.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img122.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img123.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img124.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img125.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img126.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img127.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img128.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img129.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img13.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img130.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img131.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img132.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img133.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img134.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img135.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img136.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img137.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img138.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img139.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img14.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img140.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img141.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img142.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img143.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img144.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img145.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img146.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img147.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img148.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img149.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img15.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img150.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img151.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img152.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img153.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img154.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img155.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img156.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img157.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img158.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img159.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img16.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img160.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img161.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img17.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img18.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img19.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img2.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img20.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img21.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img22.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img23.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img24.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img25.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img26.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img27.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img28.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img29.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img3.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img30.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img31.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img32.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img33.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img34.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img35.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img36.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img37.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img38.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img39.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img4.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img40.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img41.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img42.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img43.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img44.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img45.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img46.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img47.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img48.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img49.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img5.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img50.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img51.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img52.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img53.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img54.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img55.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img56.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img57.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img58.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img59.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img6.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img60.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img61.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img62.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img63.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img64.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img65.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img66.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img67.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img68.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img69.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img7.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img70.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img71.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img72.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img73.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img74.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img75.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img76.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img77.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img78.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img79.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img8.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img80.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img81.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img82.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img83.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img84.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img85.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img86.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img87.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img88.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img89.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img9.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img90.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img91.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img92.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img93.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img94.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img95.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img96.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img97.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img98.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/img99.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/index.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node1.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node10.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node11.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node12.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node13.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node14.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node15.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node16.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node17.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node18.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node19.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node2.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node3.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node4.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node5.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node6.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node7.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node8.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/node9.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/ref.css
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/ref/ref.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units.pdf
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/footnode.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/img1.png
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/index.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node1.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node10.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node11.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node12.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node13.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node14.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node15.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node16.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node17.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node18.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node19.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node2.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node20.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node21.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node22.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node23.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node24.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node25.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node26.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node3.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node4.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node5.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node6.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node7.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node8.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/node9.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/units.css
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/units/units.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user.pdf
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/footnode.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/index.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node1.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node10.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node11.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node12.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node13.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node14.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node15.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node16.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node17.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node18.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node2.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node3.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node4.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node5.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node6.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node7.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node8.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/node9.html
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/user.css
-%%PORTDOCS%%share/doc/fpc-%%PORTVERSION%%/user/user.html
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/cmem/testcmem.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/Makefile
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/Makefile.fpc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/fpcdemos.txt
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/Makefile
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/Makefile.fpc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/fpcgames.txt
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/fpctris.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/ftrisgr.inc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/ftristxt.inc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/gameunit.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/gravwars.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/mandel.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/maze.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/quad.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/quaddata.dat
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/graph/samegame.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/linux/Makefile
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/linux/Makefile.fpc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/linux/daemon.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/modex/Makefile
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/modex/Makefile.fpc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/modex/fpcmodex.txt
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/modex/voxel.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/os2/Makefile
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/os2/Makefile.fpc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/os2/basicpm.pas
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/os2/getctry.pas
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/os2/pmdemo1.h
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/os2/pmdemo1.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/os2/pmdemo1.rc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/palmos/pilrc.bmp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/palmos/pilrcic.bmp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/palmos/pilrctst.h
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/palmos/pilrctst.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/palmos/pilrctst.rcp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/Makefile
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/Makefile.fpc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/blackbox.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/eratos.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/hello.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/lines.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/magic.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/text/qsort.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/win32/Makefile
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/win32/Makefile.fpc
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/win32/dlltest.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/win32/edit.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/win32/menu.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/demo/win32/testdll.pp
-%%PORTDOCS%%share/examples/fpc-%%PORTV
Comment 1 johnmcooper 2004-01-07 03:32:47 UTC
Is any committer out there will to take a look at this?

Thanks,

jmc
Comment 2 Ernst de Haan freebsd_committer 2004-01-07 06:56:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->znerd

I'll handle this.
Comment 3 Ernst de Haan freebsd_committer 2004-01-07 10:17:15 UTC
State Changed
From-To: open->closed

Committed, thanks!